<div class="dynamic-uploads <%= with_title %> upload-container-for-<%= attribute %> modal_<%= modal_id %>">
  <%= tag.strong label unless has_title? %>
  <div class="<%= actions_wrapper_class %>">
    <div class="active-uploads">
      <% attachments.each do |attachment| %>
        <% next if attachment.is_a? Array %>

        <div class="attachment-details" data-title="<%= title_for(attachment) %>" data-filename="<%= file_name_for(attachment) %>" data-state="uploaded">
          <% if has_title? %>
            <span><%= title_for(attachment) %> (<%= truncated_file_name_for(attachment) %>)</span>
            <%= form.hidden_field attribute, multiple: true, value: attachment.id, id: attachment.id %>
          <% else %>
            <% if blob(attachment).image? %>
              <span><%= truncated_file_name_for(attachment, 15) %></span>
            <% else %>
              <%= link_to truncated_file_name_for(attachment), file_attachment_path(attachment) %>
            <% end %>
          <% end %>
        </div>
      <% end %>
    </div>
    <%= tag.button button_label,
      id: button_id,
      name: attribute,
      class: button_class,
      type: "button",
      data: {
        open: modal_id,
        upload: {
          add_attribute: add_attribute,
          resource_name: resource_name,
          resource_class: resource_class,
          optional: optional,
          max_file_size: max_file_size,
          multiple: multiple,
          titled: has_title?,
          form_object_class: form_object_class
        }.transform_keys { |key| key.to_s.camelize(:lower) }
      } %>
    <%= input_validation_field unless optional %>
  </div>

  <% if !has_title? && file_attachment_path(attachments.first) && blob(attachments.first).image? %>
    <strong><%= attachment_label %></strong>
    <%= link_to image_tag(file_attachment_path(attachments.first), alt: attribute), file_attachment_path(attachments.first) %>
  <% elsif !has_title? && uploader_default_image_path(attribute).present? %>
      <span><%= t("default_image", scope: "decidim.forms") %></span>
      <%= link_to uploader_default_image_path(attribute) do %>
        <%= image_tag uploader_default_image_path(attribute) %>
      <% end %>
  <% end %>
</div>
